# RL-PowerTracking

基于强化学习的电力目标跟踪系统

## 项目结构
- `src/` - 核心代码
- `docs/` - 文档
- `tests/` - 测试用例
- `examples/` - 使用示例
- `data/` - 数据集
- `models/` - 模型保存目录
- `tensorboard_logs/` - TensorBoard日志

## 目录自动创建
为确保项目运行时所需目录存在，新增了`create_directories.py`脚本。在运行训练前，请先执行：
```bash
python create_directories.py
```

## 安装依赖
```bash
pip install -r requirements.txt
```

## 最新优化
1. 环境注册问题已修复，自定义环境正确注册为`CartesianSpace-v0`
2. 训练速度优化：使用MlpPolicy、较大的batch_size=1024、use_sde=True提升CPU利用率
3. 解决了向量化环境观测值解包问题
4. 环境包装器嵌套顺序优化（Monitor包裹RecordEpisodeStatistics）