# RL-PowerTracking 文档

## 项目概述
本项目实现了一个基于强化学习的电力目标跟踪系统，包含机械手臂控制、目标识别与跟踪等功能。

## 安装指南

### 环境要求
- Python 3.8+
- Windows/Linux/MacOS

### 安装步骤
```bash
# 创建虚拟环境
python -m venv .venv
source .venv/bin/activate  # Windows: .venv\Scripts\activate

# 安装依赖
pip install -r requirements.txt
```

## 使用说明

### 训练强化学习模型
```bash
python examples/train_rl_model.py
```

## 模块文档
- [强化学习环境](modules/rl_env.md)
- [机械手臂控制](modules/robot_control.md)
- [视觉识别模块](modules/vision.md)